Snoze Developers
API referenceActions

Update

PATCH
/v1/workspaces/{workspaceId}/actions/{actionId}
AuthorizationBearer <token>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

In: header

Path Parameters

workspaceId*string
actionId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/workspaces/string/actions/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "workspaceId": "string",    "key": "string",    "label": "string",    "kind": "refresh_data_source",    "config": {      "kind": "refresh_data_source",      "dataSourceId": "string"    },    "enabled": true,    "createdAt": "string",    "updatedAt": "string"  }}